Subject: [bug#53512] [PATCH] gnu: QGIS: Build without QtWebKit.

From: Leo Famulari <[email-masked]>
Date: Tue, 25 Jan 2022 13:40:25 -0500

On Tue, Jan 25, 2022 at 11:05:50AM +0000, Guillaume Le Vaillant wrote:
> It looks like the failing tests are trying to do some HTML rendering,
> which requires QtWebKit I suppose. But why is the test suite trying to
> run these tests if QtWebKit is explicitly disabled?

That is indeed the question. I'd guess that using QGIS without QtWebKit
is not well exercised upstream.

> The 'check' phase currently doesn't take the 'tests?' keyword parameter
> into consideration. Maybe you could add that to your patch.

Sure, thanks for noticing that.

> After disabling the tests, I tried a few things, like loading some
> OpenStreetMap data from a database and making a map with it, and
> I didn't see any issue. So I think you can add the failing tests to the
> list of disabled tests.

Okay, thanks for checking. I'll test a revised patch and push once it
builds.